%{?nodejs_find_provides_and_requires}

Name:       nodejs-grunt-cli
Version:    0.1.13
Release:    %mkrel 7
Summary:    Command-line interface for Grunt, the JavaScript testing framework
License:    MIT
Group:      System/Libraries
URL:        https://github.com/gruntjs/grunt-cli
Source0:    http://registry.npmjs.org/grunt-cli/-/grunt-cli-%{version}.tgz

BuildArch:  noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging
Requires:       npm(grunt)

%description
Grunt is the JavaScript task runner.

Grunt-cli gives you access to the grunt command-line interface anywhere on
your system, which is useful when running a locally installed Grunt for your
project.


%prep
%setup -q -n package
%nodejs_fixdep findup-sync '~0.1'
%nodejs_fixdep nopt '^3.0.6'
%nodejs_fixdep resolve '^1.1.6'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-cli
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/grunt-cli

install -p -D -m0755 bin/grunt \
    %{buildroot}%{nodejs_sitelib}/grunt-cli/bin/grunt-cli
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/grunt-cli/bin/grunt-cli \
    %{buildroot}%{_bindir}/grunt

# Bash completion
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
sed '1{\@^#!/bin/bash@d}' completion/bash \
    > %{buildroot}%{_datadir}/bash-completion/completions/grunt
chmod 0644 %{buildroot}%{_datadir}/bash-completion/completions/grunt
touch -r completion/bash %{buildroot}%{_datadir}/bash-completion/completions/grunt

%nodejs_symlink_deps


%files
%doc AUTHORS LICENSE-MIT README.md
%{nodejs_sitelib}/grunt-cli
%{_bindir}/grunt
%{_datadir}/bash-completion/completions/grunt



%changelog
* Wed May 18 2016 neoclust <neoclust> 0.1.13-7.mga6
+ Revision: 1016784
- Updae nopt and resolve deps

* Tue Feb 02 2016 umeabot <umeabot> 0.1.13-6.mga6
+ Revision: 930933
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.13-5.mga5
+ Revision: 748141
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.1.13-4.mga5
+ Revision: 725140
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.13-3.mga5
+ Revision: 682903
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 joequant <joequant> 0.1.13-2.mga5
+ Revision: 655908
- remove exclusive arch
- change group
- imported package nodejs-grunt-cli

